HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

/system/nae_script_generates/{NAE_Script_Generate.name}/conditions/{NAE_Script_Condition.rule_name},{NAE_Script_Condition.condition_type}

Path Params
string
required

Reference Resource: NAE_Script_Generate
Name of the NAE Script.

string
required

Reference Resource: NAE_Script_Condition
Reference to the conditions. If clear-condition is not defined, then the active condition is always active. If clear condition is defined, then an active condition once triggered will be suspended until the corresponding clear-condition has been triggered.

string
required

Reference Resource: NAE_Script_Condition
Reference to the conditions. If clear-condition is not defined, then the active condition is always active. If clear condition is defined, then an active condition once triggered will be suspended until the corresponding clear-condition has been triggered.

Body Params
string
length ≤ 1024

Alert description for NAE agent.

string
enum

Alert set on NAE agent.

Allowed:
string

CLI commands to be executed. Multiple commands can be seperated using
. This column value can be empty.

string

schedule config CLIs to be executed and can be seperated using
. This column value can be empty.

string

SNMP traps sent to the snmp server. This column value can be empty.

action_syslog
object
string
required

Expression associated with the NAE Condition. The grammar for condition language depends on the expression_type Expression for type monitor_resource is defined as follows: operand = integer | enum operator = "<" | ">" | "==" | "!=" | ">=" | "<=" list_element = '"' , ( enum | integer ) , '"' list = list_element , { "," , list_element } for = "for" , integer , time time = "second" | "minute" | "hour" | "day" | "seconds" | "minutes" | "hours" | "days" operation1 = resource , operator, operand , [ for ] operation2 = "transition" , resource , "from" , list , "to" , list Here are some examples: transition {} from "up" to "down" {} < 5 for 3 minutes every {} would be substituted by the monitored resource.
Expression for type watch_event_log is defined as follows: regex = Extended Posix Regular Expression list_element = regex list = " list_element , { "," list_element } " operand = integer | enum count = "count" , integer operation1 = resource , [ count ] operation2 = resource "include" ( "any" | "all" ) list operation3 = resource "exclude" list Here are some examples: {} {} count 10 {} include all "servername,error" {} include any "hpe-cardd,log-mgmtd" count 5 {} exclude "Ok" every {} would be substituted by the event log.

string
enum

Type of the expression associated with the NAE Condition.

Allowed:
resource_name
object
required

References the NAE watch or monitors used in a specific expression The key contains a position in the condition expression and the value contains the name of the watch or monitor used in that position.

string
required

Reference Resource: NAE_Script_Condition
Reference to the conditions. If clear-condition is not defined, then the active condition is always active. If clear condition is defined, then an active condition once triggered will be suspended until the corresponding clear-condition has been triggered.

Responses
200

OK

204

No Content

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

415

Unsupported Media Type

500

Internal Server Error

501

Not Implemented

503

Service Unavailable

Language
Response
Click Try It! to start a request and see the response here!